#include <string>
#include <Windows.h>
#include "MSGPACK.H"
#include "wintab.h"

#define PACKETDATA	(PK_X | PK_Y | PK_BUTTONS | PK_NORMAL_PRESSURE)
#define PACKETMODE	PK_BUTTONS
#include "pktdef.h"
#include "wtutil.h"

class Tablet {
public:

	Tablet() {
		if (!LoadWintab() || !gpWTInfoA(0, 0, nullptr)) {
			return;
		}
	}

	~Tablet() {
		UnloadWintab();
	}

private:

	HCTX hctx = NULL;
	UINT wDevice = 0;
	AXIS TabletX = { 0 };
	AXIS TabletY = { 0 };
	LOGCONTEXT ctx = {};

	void NewContext() {
		ctx.lcOptions |= CXO_SYSTEM;

	}

};